package user

import (
	"codeberg.org/mapleopentech/monorepo/native/desktop/maplefile/internal/domain/user"
)

type GetByIdUseCase struct {
	userRepo user.Repository
}

func ProvideGetByIdUseCase(userRepo user.Repository) *GetByIdUseCase {
	return &GetByIdUseCase{
		userRepo: userRepo,
	}
}

func (uc *GetByIdUseCase) Execute(id string) (*user.User, error) {
	return uc.userRepo.GetByID(id)
}
